I get stuck running instalation "kobofe_kobo-fe-network" with driver "bridge"

Hi I am isntalling over a Centos 8 server 8GB RAM and 40GB disk space, I have al ready configured NGNEX and Certbot, my DNS are working properly, but I get stuck here 2 days now:

Creating network “kobofe_kobo-fe-network” with driver “bridge”
CommandError: Retries exceeded; failed to connect
An error has occurred

image

Hi @ross , it seems that your PostgreSQL container is not responding.
Can you provide which version of kobo-install you are running (./run.py --version)?

Did you choose to expose databases ports? If yes, did you set a rule to allow traffic between containers?

1 Like

Hi @nolive thanks for answering, I am running the last version from github, I did not expose databases ports, since I am installing everything within the same server. Should I enable the containers port’s?

@ross, no, you can keep ports not exposed.
Can you confirm that the version command I provided earlier returns KoBoInstall Version: 2.2.0 (build 0e825a5), please?

  • Have you run KoBo Install with advanced options?
  • Have you changed the PostgreSQL password manually?
1 Like

Hi, I did installed with advanced options but I didn’t change the PostgreSQL password, I just changed Super_Admin.

Would you mind to retry ./run.py --setup and change the PostgreSQL password to something else?
Change MongoDB password too.

I am using KoBoInstall Version: 2.2.0 (build 0e825a5)

@nolive It worked, but I am getting Wait for another 600 seconds ? several times, I have 8GB

1 Like

@ross It can take a while to compile all the assets (js/css) the first time.

Another version of KoBo Install has just been released.
KoBoInstall Version: 2.2.1 (build 2.020.23)

It comes with Enketo Express v2.3.4 which compiles faster than before.

As I said, it’s normal to see the message Wait for another 600 seconds for the first time you run KoBoToolbox (or just after an upgrade) but not more than twice in a row. Otherwise you may have a problem with your installation.

One thing you can test when it says: Wait for another 600 seconds, try to go to https://kc.yourdomain.tld/service_health/ (or http://kc.yourdomain.tld/service_health/ if you don’t use https).

If you see 502 bad gateway error for Enketo but all other services are ok, it often tells you it’s compiling. Wait a little. It should complete soon.

If you can access the service health page after seeing Wait for another 600 seconds, I would look at your NGINX proxy configuration. In your first post, you said you configured it. Do you use your own installation or the one provided by KoBo install?

1 Like

Thank you, service health seems ok,

2 Likes

If service health is ok, everything should be ok.

1 Like

I am getting exactly the same error as @ross, but I do not fully understand what he did to resolve the issue.

– Using WSL 2 with Ubuntu 18.04 LTS, 24 GB Memory.
– I have tested several Docker packages in this settings, and everything works smoothly.
– 2.2.2 (build 2.020.23b)
– Using Workstation install, with all possible defaults
– Error: see original post by @ross
– Docker log of Postgres/postgis (Always restarting:)

Copying init scripts ...                                                             
PostgreSQL automatic backups disabled.                                               
Launching official entrypoint...                                                     
chmod: changing permissions of '/var/lib/postgresql/data': Operation not permitted   

Wait for another 600 seconds never comes up

1 Like

Partial solution: do not install it on a Windows mount such as mnt/c/kobo. When you install on /home/me/kobo, mongo, redis and postgres do start ok, but we get

/mnt/c/Program Files/Docker/Docker/resources/bin/docker-credential-desktop.exe: Invalid argument
Traceback (most recent call last):
  File "site-packages/docker/credentials/store.py", line 80, in _execute
  File "subprocess.py", line 411, in check_output
  File "subprocess.py", line 512, in run
subprocess.CalledProcessError: Command '['/mnt/c/Program Files/Docker/Docker/resources/bin/docker-credential-desktop.exe', 'get']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "site-packages/docker/auth.py", line 264, in _resolve_authconfig_credstore
  File "site-packages/docker/credentials/store.py", line 35, in get
  File "site-packages/docker/credentials/store.py", line 93, in _execute
docker.credentials.errors.StoreError: Credentials store docker-credential-desktop.exe exited with "".

During handling of the above exception, another exception occurred:

Note that again a windows mount is involved. (mnt/c/Program Files).

I had to delete ~/.docker where the path to the mount was stored. I also uninstalled Docker for Windows, but I am no longer sure that this was really required.

Not sure to understand? Are you running kobo-install on linux but installed on windows mount?

To summarize (reproducible)

  • Use kobo-install on WSL2, with Docker installed in Linux ONLY. You must uninstall, not only stop Docker on Windows, Works ok.
  • Installed Docker-Desktop in Windows, since I use it occasionally on other projects. Starting Docker Desktop kills the Docker installation, because a folder .docker is created in WSL that contains a credentials path to a Windows mount. You get the mnt/c/Program Files/Docker/Docker/… error shown above, and can no longer start Kobo in WSL
  • Remove the home/me/.docker folder. Restart Docker, all is fine.

So it is not a Kobo problem, but one of Docker.